Subject: Re: bug#58526: bug report upgrading Guix from 1.0.1 to 1.3

From: zimoun <[email-masked]>
Date: Mon, 17 Oct 2022 09:58:30 +0200

Hi,

On dim., 16 oct. 2022 at 17:25, Timothée Flutre <[email-masked]> wrote:

> Thank you Simon. I copy-pasted your command but I have no file named
> "/gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af".

Hum, the error is about curl, no?  I mean the message reads,

> ./guix/store.scm:1414:15: Throw to key `srfi-34' with args `(#<condition &store-protocol-error [message: "some substitutes for the outputs of derivation `/gnu/store/i6ckkxx8211x9yz3f34wcnbg7mblk7kg-curl-7.84.0.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source " status: 1] a58b0c0>)'.

so do I miss something?

Well, could you try to add the option --fallback

   sudo -i guix package --bootstrap --fallback -r guix -i \
     /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af

?

Cheers,
simon